Subject: Re: bug#45412: File ... is large (... MiB), really open? (y)es or (n)o or (l)iterally

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Dec 2020 06:52:37 +0100

Daniel Martín <[email-masked]> writes:

> I think users would be confused about this option.  Would it always open
> the file regularly or literally?

Yes, it's rife with confusion.

> Instead, one possibility could be to offer a "!" option that would
> always open big files non-literally in the current Emacs session.  Its
> implementation would basically open the large file and set
> large-file-warning-threshold to nil.  However, I foresee problems if
> users accidentally press "!" in this prompt.

Whether to open a large file (and how) is so situation-dependent that I
think adding a "!" option here would be a disservice.

> Another approach could be to offer a C-h binding that opens a help
> window that describes the possible options and briefly links to the
> customization entry point that removes the prompt permanently.

Yeah, that sounds like a good idea.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no